opencity (0.0.6.5stable-6) unstable; urgency=medium

  * Team Upload
  * Set Rules-Requires-Root: no
  * Replace obsolete pkg-config with pkgconf
  * Rename files in debian/ for Debhelper 14/15 compatibility

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Nov 2024 20:38:41 +0100

opencity (0.0.6.5stable-5) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Remove obsolete Breaks and Replaces.
  * Mark opencity-data as Multi-Arch: foreign.
  * Override dh_missing. Use --list-missing.

 -- Markus Koschany <apo@debian.org>  Sun, 03 Jan 2021 00:10:23 +0100

opencity (0.0.6.5stable-4) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Drop deprecated menu file and xpm icon.
  * Use canonical VCS URI.
  * Use https for Format field.
  * Use https for watch file URI.

 -- Markus Koschany <apo@debian.org>  Fri, 07 Dec 2018 21:56:36 +0100

opencity (0.0.6.5stable-3) unstable; urgency=medium

  * Switch to compat level 10.
  * Update my email address.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-fields: Use https.

 -- Markus Koschany <apo@debian.org>  Mon, 23 Jan 2017 17:04:52 +0100

opencity (0.0.6.5stable-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Wed, 29 Apr 2015 19:32:30 +0200

opencity (0.0.6.5stable-1) experimental; urgency=medium

  * Imported Upstream version 0.0.6.5stable.
  * Declare compliance with Debian Policy 3.9.6.
  * Move the package to Git.
  * Update copyright years.
  * Drop gcc-4.7-fixes.patch. It is obsolete.
  * Rebase and simplify tinyxml patch and rename it to
    unbundle-tinyxml-library.patch.
  * Remove bundled tinyxml library in clean file to ensure that opencity is
    built with Debian's version of tinyxml.
  * Add spelling.patch to fix a minor spelling mistake in opencity.6.
  * Install opencity.png to /usr/share/icons/hicolor/64x64/apps.

 -- Markus Koschany <apo@gambaru.de>  Wed, 25 Mar 2015 10:48:51 +0100

opencity (0.0.6.4stable-4) unstable; urgency=medium

  * Add no-pedantic-errors.patch.
    - Remove -pedantic-errors compiler option to avoid a FTBFS.
      (Closes: #750330)
  * debian/menu: Change section from Action to Simulation.
  * Build with dh-autoreconf instead of autotools-dev.
  * Update remove-use-of-embedded-tinyxml.patch and really use the tinyxml
    system shared library.
  * debian/rules: Add CPPFLAGS also to CFLAGS to ensure that all hardening
    build flags are passed to binreloc and pngfuncs.

 -- Markus Koschany <apo@gambaru.de>  Mon, 02 Jun 2014 23:54:16 +0200

opencity (0.0.6.4stable-3) unstable; urgency=medium

  * Install opencity.xpm in arch-independent opencity-data package.
   - debian/control: Add Breaks and Replaces to opencity-data to ensure a clean
     upgrade path since opencity.xpm has been moved from the arch-dependent to
     the arch-independent package. Fixes FTBFS on buildd because of missing
     opencity.xpm file. Thanks to Samuel Thibault for the report.
     (Closes: #735455)

 -- Markus Koschany <apo@gambaru.de>  Wed, 15 Jan 2014 17:08:41 +0100

opencity (0.0.6.4stable-2) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Christoph Egger ]
  * remove myself from uploaders

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Thanks to Matej Vela for the last NMU.
  * Bump compat level to 9 and require debhelper >= 9.
  * debian/control:
    - Declare compliance with Debian Policy 3.9.5.
    - Drop docbook-to-man dependency and manpages.sgml.
      Use upstream's man page instead.
    - Move imagemagick to Build-Depends-Indep.
    - opencity-data: Remove obsolete Conflicts field.
    - opencity-data: Change Recommends: opencity to Suggests.
  * Add opencity.xpm to clean file.
  * Add manpages file.
  * Switch to dh sequencer and simplify debian/rules.
  * Enable default hardening build flags. Pass CPPFLAGS to CXXFLAGS.
  * Add an icon entry and longtitle to the menu file. (Closes: #726846)
  * opencity.desktop: Add comments and GenericName in German. Add keywords.
  * Update debian/copyright to copyright format 1.0.
    - Add missing Expat and ZLib licenses.
  * debian/watch: Make the extension regex more flexible.
  * Install opencity.png to /usr/share/pixmaps.
  * Add DEP-3 headers to all patches.
  * Install documentation with docs file and remove duplicate documentation in
    /usr/share/games/doc.
  * Drop README.source. Source format 3.0 uses quilt by default.
  * Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed to avoid a useless
    dependency on libpng.

 -- Markus Koschany <apo@gambaru.de>  Fri, 03 Jan 2014 14:58:42 +0100

opencity (0.0.6.4stable-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * gcc-4.7-fixes: Fix build failure with GCC 4.7.  Closes: #667310.
    - src/tinyxpath/node_set.cpp: Include "../main.h" for HAVE_STDINT_H.

 -- Matej Vela <vela@debian.org>  Fri, 18 May 2012 15:19:25 +0100

opencity (0.0.6.4stable-1) unstable; urgency=low

  * New upstream Version
    * Build with --as-needed fixed upstream (Closes: #632147)
  * remove article from synopsis
  * add misc:depends to opencity-data package
  * Add build-{arch,indep} targets just depending on build as there's no
    separatable step for building the arch:all parts
  * Bump standards version from 3.8.3 to 3.9.2, no (further) changes
  * Remove quilt bits as the package is source 3.0 (quilt) already
    anyway

 -- Christoph Egger <christoph@debian.org>  Fri, 02 Sep 2011 20:10:28 +0200

opencity (0.0.6.3stable-1) unstable; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Sun, 20 Dec 2009 13:08:21 +0100

opencity (0.0.6.2stable-1) unstable; urgency=low

  * New upstream Release
  * Add myself to uploaders
  * Drop patch »gcc-4.4-fixes« (applied upstream)
  * Bump standards Version 3.8.0 -> 3.8.3 (no changes)

 -- Christoph Egger <christoph@debian.org>  Sun, 20 Dec 2009 08:34:18 +0100

opencity (0.0.6.1stable-5) unstable; urgency=low

  * opencity-data conflicts with opencity (<< 0.0.5.1stable-2), thanks
    Goswin Brederlow (Closes: #517669)
  * Fix a typo in opencity-data description, thanks Enrico Zini and
    Steve Cotton (Closes: #517219)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 01 Mar 2009 16:04:31 +0100

opencity (0.0.6.1stable-4) unstable; urgency=low

  [ Gerfried Fuchs ]
  * Make opencity binNMU safe, depend on ${source:Version} of opencity-data
    instead of ${binary:Version} (Closes: #517380)

  [ Gonéri Le Bouder ]
  * Drop a trailing whitespace in the Architecture: field of opencity-data,
    see #517555

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 28 Feb 2009 17:07:16 +0100

opencity (0.0.6.1stable-3) unstable; urgency=low

  * Upload in unstable

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 14 Feb 2009 15:08:29 +0100

opencity (0.0.6.1stable-2) experimental; urgency=low

  * opencity depends on opencity-data (= binary:Version)
    (Closes: #513803)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 01 Feb 2009 14:33:50 +0100

opencity (0.0.6.1stable-1) experimental; urgency=low

  [ Iain Lane ]
  * New upstream release
  * debian/patches/no-pedantic.diff: Dropped, not needed any more.
  * debian/patches/gcc-4.4-fixes: Fix build with upcoming GCC version
    4.4, with thanks to Martin Michlmayr (Closes: #504950).
  * debian/rules: Add get-orig-source to download and repack upstream
    bz2 source with uscan.

  [ Gonéri Le Bouder ]
  * Clean debian/opencity.xpm
  * use dh_clean to clean temp files
  * upload to experimental because of Lenny freeze
  * Use the config.status target to install up to date config.{sub,guess}
  * opencity depends on opencity-data (= source:Upstream-Version) instead of
    (>= source:Version)
  * update the copyright section for the debian/* files
  * update the debian/copyright file

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 01 Jan 2009 15:51:36 +0100

opencity (0.0.5.1stable-2) experimental; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*

  [ Gonéri Le Bouder ]
  * upload to experimental because of the Lenny freeze
  * fix a little syntaxe error in the manpage
  * clean config.guess
  * add opencity-data, thanks Guillem Jover (Closes: #496237)
  * use dh_install to install the files
   - add opencity{,-data}.install
   - do some clean up around this part of the rules file
  * bump the standards version to 3.8.0. No change.

  [ Ansgar Burchardt ]
  * debian/control: Add Homepage field

  [ Cyril Brulebois ]
  * Fix FTBFS with new “3.0 (quilt)” source package format by using a
    patch level of 1 instead of 0 in the no-pedantic.diff patch and by
    adjusting the series file appropriately (i.e. by deleting the “-p0”
    option), thanks to Raphaël Hertzog for the notice (Closes: #485352).

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 24 Aug 2008 21:12:23 +0200

opencity (0.0.5.1stable-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * new upstream release (Closes: #462371)
   + --sysconfdir=/etc
   + use ./opencity.png instead of ./OpenCity.png
   + install the new doc
   + add no-pedantic.diff to turn of the pedantic mode
  * remove:
   + fix_gcc-4.3.diff: merged with upstream
   + fix_homedir.diff: not needed anymore
  * standard version 3.7.3, no change needed
  * update debian/copyright
  * remove the deprecated Encoding section from the desktop file

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 24 Jan 2008 21:42:56 +0100

opencity (0.0.4stable-3) unstable; urgency=low

  [ Eddy Petrișor ]
  * added Encoding field in the desktop file

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.
  * Fixed copyright:
    - Added missing “or any later version” to match upstream's copyright
      statement in the COPYRIGHT file (Closes: #442034).
    - Fixed public domain statement by replacing the copyright by an
      authorship statement (Closes: #442056).

  [ Gonéri Le Bouder ]
  * do not ignore make distclean return anymore
  * install LEGGIMI.txt and FAQ.txt in /usr/share/doc/opencity and remove some
    useless files (Closes: #442029)
  * use imagemagick's convert to create the .xpm from OpenCity.png
    - new builddep: imagemagick
    - remove debian/opencity.xpm
  * clean target removes quilt .pc directory and debian/opencity.6

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 15 Sep 2007 12:13:27 +0200

opencity (0.0.4stable-2) unstable; urgency=low

  * datafiles in /usr/share/games/opencity (Closes: #405042)
   - add fix_homedir.diff to preinitialise this value
   - use quilt to apply the patch
  * add desktop and icon files
  * add the patch from Martin Michlmayr to fix the build with gcc-4.3
  (Closes: #421124)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 31 Dec 2006 09:52:22 +0100

opencity (0.0.4stable-1) unstable; urgency=low

  * new upstream release
  * The sentence "Besides you can also raise or lower the terrain." was
    two time in the desciption (Closes: #378216)
  * update of the copyright file (thanks Duong-Khang NGUYEN)
  * minor clean up in rules file
  * add libglu1-mesa-dev in builddeps

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 30 Nov 2006 16:06:21 +0100


opencity (0.0.3stable-1) unstable; urgency=low

  * Initial release (Closes: #359340)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 28 Mar 2006 00:15:33 +0200
